Skip to main content
POST
Void passes in batch

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Body

application/json
passIds
string<uuid>[]
required

Pass IDs to void (max 100)

Required array length: 1 - 100 elements

Pass identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
reason
string

Optional reason for voiding all selected passes

Required string length: 1 - 255

Response

OK

totalRequested
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
totalVoided
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
totalFailed
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
results
object[]
required